Name:            autoconf-archive
Version:         2023.02.20
Release:         1
Summary:         Autoconf Macro Archive
License:         GPL-3.0 and GPL-2.0+
URL:             http://www.gnu.org/software/autoconf-archive/
Source0:         http://ftp.gnu.org/gnu/autoconf-archive/autoconf-archive-%{version}.tar.xz
BuildArch:       noarch
Requires:        autoconf
Requires(post):  info
Requires(preun): info

%description
Autoconf Macro Archive aims to provide a central repository of useful
and tested Autoconf macros for software developers around the world.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install

%post
install-info %{_infodir}/autoconf-archive.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  install-info --delete %{_infodir}/autoconf-archive.info.gz %{_infodir}/dir || :
fi

%files
%doc AUTHORS NEWS README TODO COPYING*
%{_datadir}/aclocal/*.m4
%{_infodir}/autoconf-archive.info*
%exclude %{_infodir}/dir
%exclude %{_datadir}/%{name}

%changelog
* Tue Feb 21 2023 wangkai <wangkai385@h-partners.com> - 2023.02.20-1
- Upgrade to version 2023.02.20

* Wed Jun 15 2022 SimpleUpdate Robot <tc@openeuler.org> - 2022.02.11-1
- Upgrade to version 2022.02.11

* Mon Jan 4 2021 Ge Wang <wangge20@huawei.com> - 2.18.03.13-4
- Modify license infomation

* Thu Nov 28 2019 fengbing <fengbing7@huawei.com> - 2018.03.13-3
- Package init

